Company Research
Research companies
Research companies by search result IDs from /search/companies and/or direct company identifiers (domain, companyName).
POST
/
companies
/
research
curl --request POST \
--url https://api.seamless.ai/api/client/v1/companies/research \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"searchResultIds": [
"cmp_sr_01J8YQ4FXZQ6N5G2T3A7BC9D1E",
"cmp_sr_01J8YQ5F95Y0M4R7J8N1P2Q3R4"
],
"companies": [
{
"domain": "seamless.ai",
"companyName": "Seamless.AI"
},
{
"domain": "openai.com"
}
]
}
'
{
"success": true,
"requestIds": [
"8T7LmzqW2Q6hA19",
"Ka2nQ9L3pR4vD1F"
]
}{
"message": "<string>"
}{
"msg": "<string>",
"code": "<string>",
"data": {
"productCategory": "<string>",
"additionalCreditsNeeded": 123
}
}{
"message": "<string>"
}Authorizations
OAuth2ApiKeyAuth
The access token received from the authorization server in the OAuth 2.0 flow.
FlowAuthorization Code
- Authorization URL
- https://login.seamless.ai/oauth/authorize
- Token URL
- https://api.seamless.ai/api/client/v1/oauth/accessToken
Body
application/json
Company search result IDs returned from /search/companies that you want to enrich.
Maximum array length:
500Example:
["cmp_sr_01J8YQ4FXZQ6N5G2T3A7BC9D1E"]
Companies to enrich directly without running search first. Each item must include at least one identifier:
domaincompanyName
When only domain is supplied, the company name is resolved from Seamless data; if no company
is known for that domain the request finishes with status error when polled.
Maximum array length:
500Show child attributes
Show child attributes
Example:
[ { "domain": "seamless.ai", "companyName": "Seamless.AI" } ]
When true, research will not check for duplicate records that you already researched recently, and perform a research (which can result in credit usage)
Was this page helpful?
⌘I
curl --request POST \
--url https://api.seamless.ai/api/client/v1/companies/research \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"searchResultIds": [
"cmp_sr_01J8YQ4FXZQ6N5G2T3A7BC9D1E",
"cmp_sr_01J8YQ5F95Y0M4R7J8N1P2Q3R4"
],
"companies": [
{
"domain": "seamless.ai",
"companyName": "Seamless.AI"
},
{
"domain": "openai.com"
}
]
}
'
{
"success": true,
"requestIds": [
"8T7LmzqW2Q6hA19",
"Ka2nQ9L3pR4vD1F"
]
}{
"message": "<string>"
}{
"msg": "<string>",
"code": "<string>",
"data": {
"productCategory": "<string>",
"additionalCreditsNeeded": 123
}
}{
"message": "<string>"
}